<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="uninstall.sqlserver" version="1.0.2" date="2012-02-07" maxthreads="1">
	<!--
    	Change log:
    		CR3904 : 2012-03-07 : teriks28
				Uninstall SQL Express 2008
				Change argument and file name in tasks "uninstall"
  	-->
  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <properties>
    <property key="source.path" value="%{ProgramFiles}\Microsoft SQL Server\100\Setup Bootstrap\SQLServer2008R2\setup.exe"/>
  </properties>
  <tasks>

    <task name="WriteConfiguration1" typename="@WriteInformation">
      <dependencies list=""/>
      <parameters>
        <parameter name="message" value="path: ${source.path}"/>
      </parameters>
    </task>

    <task name="uninstall" typename="@CommandLine">
      <description>
        Uninstall the Sql Server Vida instance.
      </description>
      <errormessage>
        An error occurred while uninstalling Microsoft SQL Server Express 2008.
      </errormessage>      
        <parameters>
          <parameter name="filename" value="${source.path}"/>
          <parameter name="arguments" value="/q /Action=Uninstall /FEATURES=SQLEngine /INSTANCENAME=${sqlserver.instance.name} /HIDECONSOLE"/>
          <parameter name="exitcode.return.value" value="sqlexpress.uninstall.exitcode"/>
        </parameters>      
    </task>

  </tasks>
</taskrunner>